summaryrefslogtreecommitdiffstats
path: root/network/ucspi-tcp/ucspi-tcp.SlackBuild
diff options
context:
space:
mode:
author David Miller <dave@frop.net>2010-05-13 01:00:24 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 01:00:24 +0200
commitba151ca3adc55d9a5a5f4a6526289a3196674c07 (patch)
tree6681d92ec39023e2c2aadb6c7109f256f017c052 /network/ucspi-tcp/ucspi-tcp.SlackBuild
parent064e0a87ac641068af11484f7de49d42685c6ee4 (diff)
downloadslackbuilds-ba151ca3adc55d9a5a5f4a6526289a3196674c07.tar.gz
slackbuilds-ba151ca3adc55d9a5a5f4a6526289a3196674c07.tar.xz
network/ucspi-tcp: Added to 13.0 repository
Diffstat (limited to 'network/ucspi-tcp/ucspi-tcp.SlackBuild')
-rw-r--r--network/ucspi-tcp/ucspi-tcp.SlackBuild66
1 files changed, 66 insertions, 0 deletions
diff --git a/network/ucspi-tcp/ucspi-tcp.SlackBuild b/network/ucspi-tcp/ucspi-tcp.SlackBuild
new file mode 100644
index 0000000000..2da3be4ccc
--- /dev/null
+++ b/network/ucspi-tcp/ucspi-tcp.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for ucspi-tcp
+
+# Written by David Miller dave@frop.net
+# This script is released into the public domain
+
+PRGNAM=ucspi-tcp
+VERSION=${VERSION:-0.88}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+echo gcc $SLKCFLAGS > conf-cc
+echo $PKG/usr > conf-home
+
+patch -p1 < $CWD/patches/ucspi-tcp-0.88.errno.patch
+patch -p1 < $CWD/patches/ucspi-tcp-0.88.nobase.patch
+patch -p1 < $CWD/patches/ucspi-tcp-0.88.a_record.patch
+
+make setup check
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}